"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _plugin = /*#__PURE__*/ _interopRequireDefault(require("tailwindcss/plugin"));
const _flattenColorPalette = /*#__PURE__*/ _interopRequireDefault(require("tailwindcss/lib/util/flattenColorPalette"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const screenWideBgColorPlugin = _plugin.default.withOptions((options = {})=>({ matchUtilities , theme  })=>{
        var _prefix;
        const prefix = (_prefix = options.prefix) !== null && _prefix !== void 0 ? _prefix : "wide-bg";
        matchUtilities({
            [prefix]: (color)=>({
                    "box-shadow": `0 0 0 100vmax ${color}`,
                    "clip-path": "inset(0 -100vmax)",
                    "background-color": color
                })
        }, {
            values: (0, _flattenColorPalette.default)(theme("backgroundColor")),
            type: "color"
        });
    });
const _default = screenWideBgColorPlugin;
